import { get, put } from './lib';

export const getOverlays = async (params: any) => {
  const { id, defaultOverlays } = params;
  try {
    const overlays = await get(id, true);
    return overlays.doc;
  } catch (error: any) {
    console.error({ caller: 'getOverlays', error });
    return defaultOverlays;
  }
};

export const putOverlays = async (params: any) => {
  const { id, overlays } = params;
  await put(id, 'overlays', (doc) => overlays, {}, true);
  return overlays;
};
